> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the default tenant of the current user

> Set the default tenant of the current user

<sup>Required permissions: `user:write`</sup>



## OpenAPI

````yaml post /user/default-tenant
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /user/default-tenant:
    parameters: []
    post:
      tags:
        - User
      summary: Set the default tenant of the current user
      description: |-
        Set the default tenant of the current user

        <sup>Required permissions: `user:write`</sup>
      operationId: setDefaultTenant
      parameters: []
      requestBody:
        description: The new User resource
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/User.SetDefaultTenantRequest-SetDefaultTenant
          text/html:
            schema:
              $ref: >-
                #/components/schemas/User.SetDefaultTenantRequest-SetDefaultTenant
        required: true
      responses:
        '204':
          description: The default tenant was set successfully
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - user:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /user/default-tenant \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "tenantId": "A1234567890"
            }'
components:
  schemas:
    User.SetDefaultTenantRequest-SetDefaultTenant:
      type: object
      description: ''
      deprecated: false
      required:
        - tenantId
      properties:
        tenantId:
          description: The tenant ID which should be set as default
          example: A1234567890
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````